.running-text {
    width: 100%;
    height: 30px;
    overflow: hidden;
    position: relative;
    white-space: nowrap;
}

.running-text__content {
    position: absolute;
    left: 100%;
    top: 50%;
    transform: translateY(-50%);
    white-space: nowrap;
    animation: running-text-scroll 10s linear infinite;
}

@keyframes running-text-scroll {
    from {
        left: 100%;
    }

    to {
        left: -100%;
    }
}